View Issue Details

IDProjectCategoryView StatusLast Update
0032508LazarusPatchpublic2017-10-15 10:33
ReporterFTurtleAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build55969 
Target VersionFixed in Version1.9 (SVN) 
Summary0032508: [Patches] High-DPI icons
DescriptionFew new icons for IDE.
TagsNo tags attached.
Fixed in Revision56046
LazTarget-
Widgetset
Attached Files
  • images.zip (11,399 bytes)
  • patch.diff (3,068 bytes)
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 55969)
    +++ images/copyright.txt	(working copy)
    @@ -53,6 +53,12 @@
     laz_save_150.png
     laz_save_200.png
     
    +debugger directory:
    +
    +debugger_call_stack.png
    +debugger_call_stack_150.png
    +debugger_call_stack_200.png
    +
     designer directory:
     
     anchor_bottom_bottom.png
    @@ -91,6 +97,9 @@
     anchor_top_top.png
     anchor_top_top_150.png
     anchor_top_top_200.png
    +tab_order.png
    +tab_order_150.png
    +tab_order_200.png
     
     items directory:
     
    @@ -175,6 +184,9 @@
     menu_jumpto_interfaceuses_200.png
     menu_jumpto_interface_150.png
     menu_jumpto_interface_200.png
    +menu_manage_desktops.png
    +menu_manage_desktops_150.png
    +menu_manage_desktops_200.png
     menu_manage_source_editors.png
     menu_manage_source_editors_150.png
     menu_manage_source_editors_200.png
    @@ -326,6 +338,9 @@
     menu_unindent.png
     menu_unindent_150.png
     menu_unindent_200.png
    +menu_view_anchor_editor.png
    +menu_view_anchor_editor_150.png
    +menu_view_anchor_editor_200.png
     menu_view_code_browser.png
     menu_view_code_browser_150.png
     menu_view_code_browser_200.png
    @@ -353,6 +368,9 @@
     menu_view_source_editor.png
     menu_view_source_editor_150.png
     menu_view_source_editor_200.png
    +menu_view_toggle_form_unit.png
    +menu_view_toggle_form_unit_150.png
    +menu_view_toggle_form_unit_200.png
     menu_view_units.png
     menu_view_units_150.png
     menu_view_units_200.png
    Index: images/laz_images_list.txt
    ===================================================================
    --- images/laz_images_list.txt	(revision 55969)
    +++ images/laz_images_list.txt	(working copy)
    @@ -123,6 +123,8 @@
     debugger/debugger.png
     debugger/debugger_breakpoints.png
     debugger/debugger_call_stack.png
    +debugger/debugger_call_stack_150.png
    +debugger/debugger_call_stack_200.png
     debugger/debugger_current_line.png
     debugger/debugger_current_line_breakpoint.png
     debugger/debugger_current_line_disabled_breakpoint.png
    @@ -214,6 +216,8 @@
     designer/scale.png
     designer/size.png
     designer/tab_order.png
    +designer/tab_order_150.png
    +designer/tab_order_200.png
     items/item_character.png
     items/item_filter.png
     items/item_font.png
    @@ -339,6 +343,8 @@
     menu/menu_jumpto_procedurebegin.png
     menu/menu_jumpto_procedureheader.png
     menu/menu_manage_desktops.png
    +menu/menu_manage_desktops_150.png
    +menu/menu_manage_desktops_200.png
     menu/menu_manage_source_editors.png
     menu/menu_manage_source_editors_150.png
     menu/menu_manage_source_editors_200.png
    @@ -514,6 +520,8 @@
     menu/menu_unindent_150.png
     menu/menu_unindent_200.png
     menu/menu_view_anchor_editor.png
    +menu/menu_view_anchor_editor_150.png
    +menu/menu_view_anchor_editor_200.png
     menu/menu_view_code_browser.png
     menu/menu_view_code_browser_150.png
     menu/menu_view_code_browser_200.png
    @@ -543,6 +551,8 @@
     menu/menu_view_source_editor_200.png
     menu/menu_view_todo.png
     menu/menu_view_toggle_form_unit.png
    +menu/menu_view_toggle_form_unit_150.png
    +menu/menu_view_toggle_form_unit_200.png
     menu/menu_view_units.png
     menu/menu_view_units_150.png
     menu/menu_view_units_200.png
    
    patch.diff (3,068 bytes)
  • fixed_images.zip (5,359 bytes)

Activities

FTurtle

2017-10-04 09:15

reporter  

images.zip (11,399 bytes)

FTurtle

2017-10-04 09:15

reporter  

patch.diff (3,068 bytes)
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 55969)
+++ images/copyright.txt	(working copy)
@@ -53,6 +53,12 @@
 laz_save_150.png
 laz_save_200.png
 
+debugger directory:
+
+debugger_call_stack.png
+debugger_call_stack_150.png
+debugger_call_stack_200.png
+
 designer directory:
 
 anchor_bottom_bottom.png
@@ -91,6 +97,9 @@
 anchor_top_top.png
 anchor_top_top_150.png
 anchor_top_top_200.png
+tab_order.png
+tab_order_150.png
+tab_order_200.png
 
 items directory:
 
@@ -175,6 +184,9 @@
 menu_jumpto_interfaceuses_200.png
 menu_jumpto_interface_150.png
 menu_jumpto_interface_200.png
+menu_manage_desktops.png
+menu_manage_desktops_150.png
+menu_manage_desktops_200.png
 menu_manage_source_editors.png
 menu_manage_source_editors_150.png
 menu_manage_source_editors_200.png
@@ -326,6 +338,9 @@
 menu_unindent.png
 menu_unindent_150.png
 menu_unindent_200.png
+menu_view_anchor_editor.png
+menu_view_anchor_editor_150.png
+menu_view_anchor_editor_200.png
 menu_view_code_browser.png
 menu_view_code_browser_150.png
 menu_view_code_browser_200.png
@@ -353,6 +368,9 @@
 menu_view_source_editor.png
 menu_view_source_editor_150.png
 menu_view_source_editor_200.png
+menu_view_toggle_form_unit.png
+menu_view_toggle_form_unit_150.png
+menu_view_toggle_form_unit_200.png
 menu_view_units.png
 menu_view_units_150.png
 menu_view_units_200.png
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 55969)
+++ images/laz_images_list.txt	(working copy)
@@ -123,6 +123,8 @@
 debugger/debugger.png
 debugger/debugger_breakpoints.png
 debugger/debugger_call_stack.png
+debugger/debugger_call_stack_150.png
+debugger/debugger_call_stack_200.png
 debugger/debugger_current_line.png
 debugger/debugger_current_line_breakpoint.png
 debugger/debugger_current_line_disabled_breakpoint.png
@@ -214,6 +216,8 @@
 designer/scale.png
 designer/size.png
 designer/tab_order.png
+designer/tab_order_150.png
+designer/tab_order_200.png
 items/item_character.png
 items/item_filter.png
 items/item_font.png
@@ -339,6 +343,8 @@
 menu/menu_jumpto_procedurebegin.png
 menu/menu_jumpto_procedureheader.png
 menu/menu_manage_desktops.png
+menu/menu_manage_desktops_150.png
+menu/menu_manage_desktops_200.png
 menu/menu_manage_source_editors.png
 menu/menu_manage_source_editors_150.png
 menu/menu_manage_source_editors_200.png
@@ -514,6 +520,8 @@
 menu/menu_unindent_150.png
 menu/menu_unindent_200.png
 menu/menu_view_anchor_editor.png
+menu/menu_view_anchor_editor_150.png
+menu/menu_view_anchor_editor_200.png
 menu/menu_view_code_browser.png
 menu/menu_view_code_browser_150.png
 menu/menu_view_code_browser_200.png
@@ -543,6 +551,8 @@
 menu/menu_view_source_editor_200.png
 menu/menu_view_todo.png
 menu/menu_view_toggle_form_unit.png
+menu/menu_view_toggle_form_unit_150.png
+menu/menu_view_toggle_form_unit_200.png
 menu/menu_view_units.png
 menu/menu_view_units_150.png
 menu/menu_view_units_200.png
patch.diff (3,068 bytes)

Michl

2017-10-11 22:47

developer   ~0103367

Thank you for the images!

I have two questions.

Is it possible to insert the little green "bug" for the debugger_call_stack images. Imho it would be more clear, if we use this continuous for the debugger.

Is it also possible to use a symbol like ⭾, in front of the form, for the tab_order image. Imho the standard tab symbol (http://www.fileformat.info/info/unicode/char/2b7e/index.htm) would be more clear.

FTurtle

2017-10-13 11:48

reporter  

fixed_images.zip (5,359 bytes)

FTurtle

2017-10-13 11:48

reporter   ~0103398

Attached fixed debugger_call_stack and tab_order:

fixed_images.zip

Michl

2017-10-13 14:35

developer   ~0103406

Applied. Thank you!

FTurtle

2017-10-15 10:33

reporter   ~0103436

Thank you.

Issue History

Date Modified Username Field Change
2017-10-04 09:15 FTurtle New Issue
2017-10-04 09:15 FTurtle File Added: images.zip
2017-10-04 09:15 FTurtle File Added: patch.diff
2017-10-11 22:20 Michl Assigned To => Michl
2017-10-11 22:20 Michl Status new => assigned
2017-10-11 22:47 Michl Note Added: 0103367
2017-10-13 11:48 FTurtle File Added: fixed_images.zip
2017-10-13 11:48 FTurtle Note Added: 0103398
2017-10-13 14:35 Michl Fixed in Revision => 56046
2017-10-13 14:35 Michl LazTarget => -
2017-10-13 14:35 Michl Note Added: 0103406
2017-10-13 14:35 Michl Status assigned => resolved
2017-10-13 14:35 Michl Fixed in Version => 1.9 (SVN)
2017-10-13 14:35 Michl Resolution open => fixed
2017-10-15 10:33 FTurtle Note Added: 0103436
2017-10-15 10:33 FTurtle Status resolved => closed